# Uses of Class
org.eclipse.mat.query.Column

Packages that use Column
Package
Description
org.eclipse.mat.dtfj
This provides the parser for IBM Diagnostic Tooling Framework for Java (DTFJ) dumps, and is just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.osgi
These are queries for examining OSGi bundles.
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.
org.eclipse.mat.query
Package for examining and controlling results of running queries.
org.eclipse.mat.query.quantize
Value or linear frequency distribution histograms.
org.eclipse.mat.query.refined
A way of controlling the detail given by the output of a query.
org.eclipse.mat.query.results
Default Query Result Implementations.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.internal.viewer
Allows filtering of the display of tables and trees, for example excluding certain class names - user interface (not API).

## Uses of Column in org.eclipse.mat.dtfj

Methods in org.eclipse.mat.dtfj that return Column
Modifier and Type
Method
Description
`Column[]`
ThreadDetailsResolver.`getColumns()`
The columns that can be extracted via DTFJ

## Uses of Column in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return Column
Modifier and Type
Method
Description
`Column[]`
BigDropsQuery.`getColumns()`
`Column[]`
DuplicatedClassesQuery.`getColumns()`
`Column[]`
FindLeaksQuery.SuspectsResultTable.`getColumns()`
`Column[]`
FindLeaksQuery2.SuspectsResultTable.`getColumns()`
`Column[]`
ImmediateDominatorsQuery.ResultImpl.`getColumns()`

## Uses of Column in org.eclipse.mat.inspections.collections

Methods in org.eclipse.mat.inspections.collections that return Column
Modifier and Type
Method
Description
`Column[]`
HashEntriesQuery.Result.`getColumns()`

## Uses of Column in org.eclipse.mat.inspections.osgi

Methods in org.eclipse.mat.inspections.osgi that return Column
Modifier and Type
Method
Description
`Column[]`
BundleRegistryQuery.BundleTreeResult.`getColumns()`
`Column[]`
BundleRegistryQuery.ExtensionTreeResult.`getColumns()`
`Column[]`
BundleRegistryQuery.ServicesTreeResult.`getColumns()`

## Uses of Column in org.eclipse.mat.inspections.threads

Methods in org.eclipse.mat.inspections.threads that return Column
Modifier and Type
Method
Description
`Column[]`
ThreadDetailsResolver.`getColumns()`
The columns that can be extracted from java.lang.Thread fields.

## Uses of Column in org.eclipse.mat.internal.snapshot.inspections

Methods in org.eclipse.mat.internal.snapshot.inspections that return Column
Modifier and Type
Method
Description
`Column[]`
CompareTablesQuery.TableComparisonResult.`getColumns()`
`final Column[]`
Path2GCRootsQuery.Tree.`getColumns()`
`Column`
CompareTablesQuery.ComparedColumn.`getDescription()`
Methods in org.eclipse.mat.internal.snapshot.inspections with parameters of type Column
Modifier and Type
Method
Description
`void`
CompareTablesQuery.ComparedColumn.`setDescription(Column description)`
Constructors in org.eclipse.mat.internal.snapshot.inspections with parameters of type Column
Modifier
Constructor
Description
``
`ComparedColumn(Column description, int[] columnIndexes, boolean displayed)`
``
`ComparisonResultTable(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`
``
`ComparisonResultTree(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`
``
`TableComparisonResult(List<org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.ComparedRow> rows, Column key, List<CompareTablesQuery.ComparedColumn> comparedColumns, CompareTablesQuery.Mode mode, CompareTablesQuery.Operation setOp)`

## Uses of Column in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return Column
Modifier and Type
Method
Description
`Column`
Column.`aligning(Column.Alignment align)`
Alignment of the column.
`abstract Column`
ContextDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column ready to use, based on the derived column
`Column`
Column.`comparing(Comparator<?> comparator)`
Comparator to sort the column.
`Column`
Column.`decorator(IDecorator decorator)`
Add a decorator to a column
`Column`
Column.`formatting(Format formatter)`
Formatter to format the column values.
`Column[]`
IStructuredResult.`getColumns()`
The columns of the tree or table.
`Column`
Column.`noTotals()`
Indicates that no totals are to be calculated for the column even if the column contains numbers.
`Column`
Column.`sorting(Column.SortDirection direction)`
Initial sort direction of the column.
Methods in org.eclipse.mat.query with parameters of type Column
Modifier and Type
Method
Description
`static Column.SortDirection`
Column.SortDirection.`defaultFor(Column column)`
Get the default ordering for a column.

## Uses of Column in org.eclipse.mat.query.quantize

Methods in org.eclipse.mat.query.quantize that return Column
Modifier and Type
Method
Description
`Column`
LatestValueFunction.`column(String label)`
`Column`
Quantize.Function.Factory.`column(String label)`
Creates a new column to display the values of a function.
Methods in org.eclipse.mat.query.quantize with parameters of type Column
Modifier and Type
Method
Description
`static Quantize.Builder`
Quantize.`valueDistribution(Column... column)`
Creates a quantize `Quantize.Builder` for a value distribution, i.e.

## Uses of Column in org.eclipse.mat.query.refined

Methods in org.eclipse.mat.query.refined that return Column
Modifier and Type
Method
Description
`Column`
RefinedStructuredResult.`addDerivedDataColumn(ContextProvider provider, ContextDerivedData.DerivedColumn derivedColumn)`
`Column`
RefinedStructuredResult.`getColumnFor(ContextProvider provider, ContextDerivedData.DerivedColumn derivedColumn)`
`Column[]`
RefinedStructuredResult.`getColumns()`
Methods in org.eclipse.mat.query.refined that return types with arguments of type Column
Modifier and Type
Method
Description
`List<Column>`
RefinedResultBuilder.`getColumns()`
Get all the columns
Methods in org.eclipse.mat.query.refined with parameters of type Column
Modifier and Type
Method
Description
`void`
RefinedStructuredResult.`setSortOrder(Column queryColumn, Column.SortDirection direction)`

## Uses of Column in org.eclipse.mat.query.results

Methods in org.eclipse.mat.query.results that return Column
Modifier and Type
Method
Description
`final Column[]`
ListResult.`getColumns()`
`final Column[]`
PropertyResult.`getColumns()`
Methods in org.eclipse.mat.query.results with parameters of type Column
Modifier and Type
Method
Description
`void`
ListResult.`addColumn(Column column, ListResult.ValueProvider valueProvider)`

## Uses of Column in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return Column
Modifier and Type
Method
Description
`Column[]`
Histogram.ClassLoaderTree.`getColumns()`
`Column[]`
Histogram.`getColumns()`
`Column[]`
Histogram.PackageTree.`getColumns()`
`Column[]`
Histogram.SuperclassTree.`getColumns()`
`Column[]`
UnreachableObjectsHistogram.`getColumns()`

## Uses of Column in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension that return Column
Modifier and Type
Method
Description
`Column[]`
IThreadDetailsResolver.`getColumns()`
Detailed information as columns
Methods in org.eclipse.mat.snapshot.extension with parameters of type Column
Modifier and Type
Method
Description
`void`
IThreadInfo.`setValue(Column column, Object value)`
To add particular information associated with a column

## Uses of Column in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return Column
Modifier and Type
Method
Description
`Column`
RetainedSizeDerivedData.`columnFor(ContextDerivedData.DerivedColumn derivedColumn, IResult result, ContextProvider provider)`
Get a column for the retained size with the right calculator.
Methods in org.eclipse.mat.snapshot.query with parameters of type Column
Modifier and Type
Method
Description
`TQuantize.Builder`
TQuantize.Builder.`column(String label, Column baseColumn, int baseColumnIndex, Quantize.Function.Factory qff)`
Add a column with label and function.

## Uses of Column in org.eclipse.mat.ui.internal.viewer

Methods in org.eclipse.mat.ui.internal.viewer with parameters of type Column
Modifier and Type
Method
Description
`Item`
RefinedTableViewer.TableAdapter.`createColumn(Column queryColumn, int index, SelectionListener listener)`
`Item`
RefinedTreeViewer.TreeAdapter.`createColumn(Column queryColumn, int index, SelectionListener listener)`